# opal-erb

Provides an ERB compiler and runtime for opal.

## Installation

Add to your Gemfile:

```ruby
gem 'opal-erb'
```

Then require anywhere in your code:

```ruby
require 'opal-gem' # if you don't Bundler.require
```

## Usage

This gem adds support to sprockets to compile files with `.opalerb` extensions
automatically, so, if you have:

```erb
<!-- my_template.opalerb -->
Hello <%= @name %>!
```

```ruby
# my_app.rb

require "my_template"

@name = 'Adam'

Template["my_template"].render self
# => "Hello Adam!"
```

## License

MIT
