# coding: utf-8
require File.expand_path('../lib/opal/erb/version', __FILE__)

Gem::Specification.new do |s|
  s.name        = 'opal-erb'
  s.version     = Opal::ERB::VERSION
  s.authors     = ['Adam Beynon']
  s.email       = ['adam.beynon@gmail.com']
  s.homepage    = 'http://github.com/adambeynon/opal-erb'
  s.summary     = %q{ERB for Opal}
  s.description = %q{ERB for Opal}
  s.license     = 'MIT-LICENSE'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ['lib']

  s.add_runtime_dependency 'opal', '~> 0.4.1'

  s.add_development_dependency 'opal-spec', '~> 0.2.17'
  s.add_development_dependency 'rake'
end
